# This patch is for IRCd-Ratbox Version 2.1.1 and is intended for use on the 
# TKCNet Network Servers.
#
# I strongly recommend looking through this patch before use as it may contain 
# unwanted changes. Each file being patched is listed below with a description 
# of what it does.
#
# As mentioned before, this is a patch for the TKCNet Network...
# Therefore, !!!USE AT YOUR OWN RISK!!!
#
# To apply this patch, copy it into your ~/ircd-ratbox/ directory(or similar) 
# and run: patch<TKCNet.diff
#
# Note: This patch MUST be applied BEFORE running ./configure.

# Add services shortcuts for RServ.
diff -urNd ircd-ratbox-2.1.1/contrib/Makefile.in ircd-ratbox-2.1.1-tkc/contrib/Makefile.in
--- ircd-ratbox-2.1.1/contrib/Makefile.in	2004-06-18 02:18:34.000000000 +0300
+++ ircd-ratbox-2.1.1-tkc/contrib/Makefile.in	2005-05-03 22:15:43.000000000 +0300
@@ -31,6 +31,7 @@
   m_flags.c                     \
   m_force.c			\
   m_mkpasswd.c                  \
+  m_sshortcut.c                 \
   m_ojoin.c			\
   m_olist.c			\
   m_okick.c			\

# Enable Opers to view spoofed IPs.
diff -urNd ircd-ratbox-2.1.1/include/config.h ircd-ratbox-2.1.1-tkc/include/config.h
--- ircd-ratbox-2.1.1/include/config.h	2005-01-20 13:04:30.000000000 +0200
+++ ircd-ratbox-2.1.1-tkc/include/config.h	2005-05-03 22:13:37.000000000 +0300
@@ -91,7 +91,7 @@
  * If this is undefined, opers will be allowed to see the real IP of spoofed
  * users in /trace etc.  If this is defined they will be shown a masked IP.
  */
-#define HIDE_SPOOF_IPS
+#undef HIDE_SPOOF_IPS
 
 /* TS6_ONLY
  *

# Up the limit for quit/part/away messages.
diff -urNd ircd-ratbox-2.1.1/include/ircd_defs.h ircd-ratbox-2.1.1-tkc/include/ircd_defs.h
--- ircd-ratbox-2.1.1/include/ircd_defs.h	2005-02-13 01:35:07.000000000 +0200
+++ ircd-ratbox-2.1.1-tkc/include/ircd_defs.h	2005-05-03 22:14:05.000000000 +0300
@@ -93,9 +93,9 @@
 #define LOC_CHANNELLEN	50
 
 /* reason length of klines, parts, quits etc */
-#define REASONLEN	120
+#define REASONLEN	250
 
-#define AWAYLEN		90
+#define AWAYLEN		120
 
 /* 23+1 for \0 */
 #define KEYLEN          24
# Add missing header for contrib dir build failure.
diff -urNd ircd-ratbox-2.1.1/include/s_newconf.h ircd-ratbox-2.1.1-tkc/include/s_newconf.h
--- ircd-ratbox-2.1.1/include/s_newconf.h	2005-02-16 01:53:24.000000000 +0200
+++ ircd-ratbox-2.1.1-tkc/include/s_newconf.h	2005-05-03 22:14:57.000000000 +0300
@@ -37,6 +37,7 @@
 
 #include "setup.h"
 #include "tools.h"
+#include "patricia.h"
 
 #ifdef HAVE_LIBCRYPTO
 #include <openssl/rsa.h>
